Bug 1026213 - [abrt] terminator-0.97-2.fc19: remove_capslock_feedback: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] terminator-0.97-2.fc19: remove_capslock_feedback: Process /usr/bin/pyt...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: terminator (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2c6a027d4de8e671de1dfa16f80...
:
: 1015190 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 03:31 EST by Oren Oichman
Modified: 2015-02-17 14:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:01:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.87 KB, text/plain)
2013-11-04 03:31 EST, Oren Oichman
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-04 03:31 EST, Oren Oichman
no flags Details
File: core_backtrace (13.06 KB, text/plain)
2013-11-04 03:31 EST, Oren Oichman
no flags Details
File: dso_list (16.19 KB, text/plain)
2013-11-04 03:31 EST, Oren Oichman
no flags Details
File: environ (1.82 KB, text/plain)
2013-11-04 03:31 EST, Oren Oichman
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-04 03:31 EST, Oren Oichman
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-04 03:32 EST, Oren Oichman
no flags Details
File: maps (78.28 KB, text/plain)
2013-11-04 03:32 EST, Oren Oichman
no flags Details
File: open_fds (991 bytes, text/plain)
2013-11-04 03:32 EST, Oren Oichman
no flags Details
File: proc_pid_status (972 bytes, text/plain)
2013-11-04 03:32 EST, Oren Oichman
no flags Details

  None (edit)
Description Oren Oichman 2013-11-04 03:31:31 EST
Version-Release number of selected component:
terminator-0.97-2.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/terminator -T terminal
crash_function: remove_capslock_feedback
executable:     /usr/bin/python2.7
kernel:         3.11.6-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Nov  3 14:44:47 binango abrt-hook-ccpp[12593]: Saved core dump of pid 3157 (/usr/bin/python2.7) to /var/tmp/abrt/ccpp-2013-11-03-14:44:47-3157 (43020288 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 remove_capslock_feedback at gtkentry.c:10103
 #1 _g_closure_invoke_va at /lib64/libgobject-2.0.so.0
 #3 g_signal_emit_by_name at /lib64/libgobject-2.0.so.0
 #4 _gdk_keymap_state_changed at gdkkeys-x11.c:716
 #5 gdk_event_translate at gdkevents-x11.c:2120
 #6 _gdk_events_queue at gdkevents-x11.c:2336
 #9 g_main_context_iterate.isra.22 at /lib64/libglib-2.0.so.0
 #11 gtk_main at gtkmain.c:1257
 #12 _wrap_gtk_main at ./gtk.override:1240
 #13 call_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4082

Potential duplicate: bug 928586
Comment 1 Oren Oichman 2013-11-04 03:31:41 EST
Created attachment 818991 [details]
File: backtrace
Comment 2 Oren Oichman 2013-11-04 03:31:45 EST
Created attachment 818992 [details]
File: cgroup
Comment 3 Oren Oichman 2013-11-04 03:31:48 EST
Created attachment 818993 [details]
File: core_backtrace
Comment 4 Oren Oichman 2013-11-04 03:31:52 EST
Created attachment 818994 [details]
File: dso_list
Comment 5 Oren Oichman 2013-11-04 03:31:55 EST
Created attachment 818995 [details]
File: environ
Comment 6 Oren Oichman 2013-11-04 03:31:59 EST
Created attachment 818996 [details]
File: exploitable
Comment 7 Oren Oichman 2013-11-04 03:32:02 EST
Created attachment 818997 [details]
File: limits
Comment 8 Oren Oichman 2013-11-04 03:32:05 EST
Created attachment 818998 [details]
File: maps
Comment 9 Oren Oichman 2013-11-04 03:32:08 EST
Created attachment 818999 [details]
File: open_fds
Comment 10 Oren Oichman 2013-11-04 03:32:12 EST
Created attachment 819000 [details]
File: proc_pid_status
Comment 11 Fredy Paquet 2014-01-17 10:54:06 EST
This bug was also registered under #910352 and #904725 before.

The issue was fixed in GTK+ 3.1.4
-> https://github.com/twobob/gtk-/blob/master/NEWS

You can apply the following patch to gtk/gtkentry.c

https://git.gnome.org/browse/gtk+/commit/?id=7d3693b82b02f047cb26649b1d871af7902a5d70

The fix was approved to work here with Gtk+ 2.24.4 on Linux and Windows.
Comment 12 Dominic Hopf 2014-07-02 20:52:35 EDT
*** Bug 1015190 has been marked as a duplicate of this bug. ***
Comment 13 Fedora End Of Life 2015-01-09 15:26:48 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 14:01:17 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.